from astropy import table
from astropy.io import ascii as asc

heal_list='bassmzls.lst'
data=asc.read(heal_list,format='no_header')
cat_list=data['col1']
ncat=len(cat_list)

tcat=[]
for i in range(ncat):
	print(i+1,ncat,cat_list[i])
	cat=table.Table.read(cat_list[i])
	cat=cat['ID','RA','DEC','PA','PAStd','E','EStd','Mag_Kron_g','MagErr_Kron_g','Mag_Kron_r','MagErr_Kron_r','Mag_Kron_z','MagErr_Kron_z','Expn_g','Expn_r','Expn_z','Depth_Point_g','Depth_Point_r','Depth_Point_z']
	tcat.append(cat)

totcat=table.vstack(tcat)
totcat.write('bassmzls-totcat.fits')

